Skip to main content
PATCH
/
api
/
v3
/
admin
/
customers
/
{customer_id}
/
addresses
/
{id}
Spree Admin SDK
import { createAdminClient } from '@spree/admin-sdk'

const client = createAdminClient({
  baseUrl: 'https://your-store.com',
  secretKey: 'sk_xxx',
})

const address = await client.customers.addresses.update(
  'cus_UkLWZg9DAJ',
  'addr_UkLWZg9DAJ',
  { city: 'Manhattan' },
)
{
  "id": "addr_UkLWZg9DAJ",
  "first_name": "John",
  "last_name": "Doe",
  "full_name": "John Doe",
  "address1": "3 Lovely Street",
  "address2": "Northwest",
  "postal_code": "10118",
  "city": "Manhattan",
  "phone": "555-555-0199",
  "company": "Company",
  "country_name": "United States of America",
  "country_iso": "US",
  "state_text": "NY",
  "state_abbr": "NY",
  "quick_checkout": false,
  "is_default_billing": false,
  "is_default_shipping": false,
  "state_name": "New York",
  "label": null,
  "metadata": {},
  "created_at": "2026-05-24T17:36:43.466Z",
  "updated_at": "2026-05-24T17:36:44.249Z",
  "customer_id": "cus_UkLWZg9DAJ"
}

Documentation Index

Fetch the complete documentation index at: https://spreecommerce.org/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-spree-api-key
string
header
required

Secret API key for admin access

Authorization
string
header
required

JWT token for admin user authentication

Headers

x-spree-api-key
string
required
Authorization
string
required

Path Parameters

customer_id
string
required
id
string
required

Body

application/json
city
string
is_default_billing
boolean
is_default_shipping
boolean

Response

200 - application/json

address updated